
Redmine - Feature #9068

New button : "Submit modification without notification"

2011-08-16 16:42 - Jérôme BATAILLE

Status: New Start date: 2011-08-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This is a new toogle link called Submit without modification (like in the stealth plugin).

When toggled any modification submited will not send notifications to the users concerned by the ticket.

Related issues:

Related to Redmine - Feature #8409: single email for bulk updates New 2011-05-20

Related to Redmine - Feature #5798: Bulk Notification Update or Combing Bulk ... New 2010-07-01

Related to Redmine - Feature #9482: Wiki - minor change without notification New 2011-10-27

Related to Redmine - Feature #15928: Disable email notifications for ticket's... New

Has duplicate Redmine - Feature #14470: Standard implementation of redmine 's... Closed

History

#1 - 2011-08-16 16:44 - Jérôme BATAILLE

We have developped this feature in our company.

Perhaps this feature asks for a new role permission.

If the community is interrested in it, we will provide a patch.

#2 - 2011-09-13 19:40 - Stephen Curran

I'd be very interested in that - we came up with that same idea for a solution to the main Redmine issue we are having.

We have been running with Redmine for about a month and we really like getting all the conversations out of email (where they used to be) and into

Redmine where they are centralized and searchable. However, to do that we have to have email notifications on, but far too many of the messages

from the system are not interesting to most users and as a result, they may miss the important ones. If we could have the sender decide when they

want others to see an issue update on a update by update basis, it would greatly improve the signal to noise ratio.

If you can send the patch, we'd definitely take a look at it.

Thanks

#3 - 2011-09-21 07:34 - Marek Hulan

I'd appreciate this patch very much. Please upload it.

#4 - 2012-12-04 14:00 - Jérôme BATAILLE

Hi, we add no time to develop the plugin.

But you should look this plugin that works very well :

https://github.com/teleological/redmine_stealth

#5 - 2017-01-25 09:58 - Miodrag Milic

Redmine stealth is great but this should really be part of Redmine itself.

It would be way more practical that with adequate permission there is a [Submit Without Notifications] button when editing issues, along with global

notification turn on/off. 2 cases of usage would be covered:

Batch update of number of issues in stealth mode - this is now possible with redmine stealth. Also, it would be good to have [disable notifcations

for N minutes] - when my admins are in the batch mode they frequently forget to turn notifications on after they finish.

Acute update of one issue (setting little stuff such as correcting typos, adding issue category and other little things that may not deserve

notification spam)
#6 - 2017-02-23 07:22 - Toshi MARUYAMA

- Category changed from Issues to Email notifications

- Assignee deleted (Jean-Philippe Lang)

#7 - 2017-02-23 07:23 - Toshi MARUYAMA

- Has duplicate Feature #14470: Standard implementation of redmine 'stealth mode' added

#8 - 2017-02-23 07:26 - Toshi MARUYAMA

- Related to Feature #8409: single email for bulk updates added

#9 - 2017-02-23 07:26 - Toshi MARUYAMA

- Related to Feature #5798: Bulk Notification Update or Combing Bulk Update Notification into one Email added

#10 - 2018-12-07 08:56 - Go MAEDA

-1

I am against this feature. With this feature, a user can secretly update issues without noticing watchers. I think this is a big problem.

#11 - 2018-12-07 13:16 - Jérôme BATAILLE

Hi,

This is a common case in our company, when you don't want to bother users when cleaning issues for exemple.

What is an issue for you ? that modifications are made without notifications ?

Perhaps we could add a mention in the issue update detail, to indicate that it was not notified to users ?

The redmine_stealth plugin in one of this forks adds a new permission to decide who can disable notifications, we can perhaps use this idea :

https://github.com/Restream/redmine_stealth

#12 - 2018-12-08 07:04 - Go MAEDA

Jérôme BATAILLE wrote:

What is an issue for you ? that modifications are made without notifications ?

 Yes.

A user watches objects to receive all notifications. Temporarily disabling notifications by a user who updates the object is not assumed or intended by

the watcher. With the proposed feature, they cannot receive some notifications in spite of their intent.

It should be the watcher, not the user who updates objects, that controls what notification to receive.

#13 - 2018-12-10 10:46 - Jérôme BATAILLE

Hi,

I agree with your point of view, because Notifications are really important in the general case.

But some modifications do not need to bother all members of the project, for example :

Fixing a typo

Changing some Custom Field values that do not imply an action from the project members

Changing issues in batch mode in some cases

And for these cases only a human can decide if it's necessary to bother project members with notifications.

If it's a real issue for some Companies environments, the permission to change an issue without notification could be given to a restricted list of roles.

#14 - 2018-12-16 03:05 - Go MAEDA

- Related to Feature #9482: Wiki - minor change without notification added

#15 - 2021-08-01 09:39 - Go MAEDA

- Related to Feature #15928: Disable email notifications for ticket's updates added
